module transaction.model;

import std.datetime;

import money.currency;

struct TransactionVendor {
    ulong id;
    string name;
    string description;
}

struct TransactionCategory {
    ulong id;
    ulong parentId;
    string name;
    string color;
}

struct TransactionTag {
    ulong id;
    string name;
}

struct Transaction {
    ulong id;
    SysTime timestamp;
    SysTime addedAt;
    ulong amount;
    Currency currency;
    string description;
    ulong vendorId;
    ulong categoryId;
}